org.red5.server.stream.provider

## Class ConnectionProvider

- java.lang.Object
- - org.red5.server.stream.provider.ConnectionProvider

All Implemented Interfaces:
  IMessageComponent, IPipeConnectionListener, IProvider

    public class ConnectionProvider
    extends Object
    implements IProvider, IPipeConnectionListener

Provides connection via pipe

### Constructor Summary

Constructors
Constructor and Description
`ConnectionProvider()`

### Method Summary

Methods
`void` `onOOBControlMessage(IMessageComponent source, IPipe pipe, OOBControlMessage oobCtrlMsg)`
`void` `onPipeConnectionEvent(PipeConnectionEvent event)` Pipe connection event handler

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionProvider

    public ConnectionProvider()

### Method Detail

#### onOOBControlMessage

    public void onOOBControlMessage(IMessageComponent source,
                           IPipe pipe,
                           OOBControlMessage oobCtrlMsg)

Specified by:
  `onOOBControlMessage` in interface `IMessageComponent`
Parameters:
  `source` - Message component source
  `pipe` - Connection pipe
  `oobCtrlMsg` - Out-of-band control message

#### onPipeConnectionEvent

    public void onPipeConnectionEvent(PipeConnectionEvent event)

Pipe connection event handler

Specified by:
  `onPipeConnectionEvent` in interface `IPipeConnectionListener`
Parameters:
  `event` - Pipe connection event